%define phpversion 4.1.2
%define phprelease 1mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel
%define release 1mdk

Summary:	XSLT module for PHP4
Name:		php-xslt
Version:	%{phpversion}
Release:	%{release}
Group:		System/Servers
License:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Url: 		http://www.php.net
Source0:	foo.xml
Source1:	foo.xsl
Source2:	run.php
Prereq:		php-common = %{phpversion}, perl
Requires:	libsablotron0 >= 0.81
BuildRequires:  php-devel = %{phpversion} 
BuildRequires:	libexpat-devel libsablotron0-devel

%description
The php-xslt package is a dynamic shared object (DSO) that adds XSL
(eXtensible Stylesheet Language) support to PHP4. XSLT (XSL Tranformation) 
is designed for use as part of XSL, which is a stylesheet language for XML.
PHP4 is an HTML-embedded scripting language. If you need XSLT support for PHP4
applications, you will need to install this package in addition
to the php package.

%build
[ -e ./xslt ] && rm -fr ./xslt
cp -dpR %{phpsource}/extensions/xslt .
cd xslt
%{phpsource}/buildext xslt "xslt.c sablot.c" "-lsablot -lexpat" \
			"-DCOMPILE_DL_XSLT -DHAVE_XSLT \
					-DHAVE_SABLOT_BACKEND
					-DHAVE_DLFCN_H \
					-DHAVE_LIBEXPAT2 \
					-DHAVE_SABLOT_SET_ENCODING"

echo > README <<EOF
The php-xslt package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=xslt' is uncommented
in your /etc/php.ini file.
EOF

%install
cd xslt
cp %{SOURCE0} %{SOURCE1} %{SOURCE2} .
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

#make EXTENSION_DIR=$RPM_BUILD_ROOT%{phpdir}/extensions install 
install -m 755 -s xslt.so $RPM_BUILD_ROOT%{phpdir}/extensions/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ -e ./xslt ] && rm -fr ./xslt

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^;extension\s*=\s*xslt.so|extension = xslt.so|' %{_sysconfdir}/php.ini
    LINE=`grep xslt\.so %{_sysconfdir}/php.ini |grep extension`
    if [ "x$LINE" = "x" ]; then
      echo extension = xslt.so >> %{_sysconfdir}/php.ini
    fi
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*xslt.so|;extension = xslt.so|g' %{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*xslt.so|extension = xslt.so|' %{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl reload;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*xslt.so|;extension = xslt.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl reload;fi 
fi

%files 
%defattr(-,root,root)
%doc xslt/{README,README.XSLT-BACKENDS,EXPERIMENTAL,foo.x*,run.php}
%{phpdir}/extensions/xslt.so

%changelog
* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.1.2-1mdk
- PHP 4.1.2

* Thu Jan 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-2mdk
- Rebuild against sablotron 0.81.

* Mon Jan 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-1mdk
- PHP 4.1.1.

* Tue Dec 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.0-1mdk
- PHP 4.1.0.
- Added version check for libsablotron0.

* Tue Nov 13 2001 Stefan van der Eijk <stefan@eijk.nu> 4.0.6-7mdk
- BuildRequires: libexpat-devel

* Mon Nov 12 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.6-6mdk
- link with expat

* Mon Nov 12 2001 Philippe Libat <philippe@mandrakesoft.com> 4.0.6-5mdk
- new module XSLT integration
